Bug 80393 - TB Conf.py:473:__delitem__: KeyError
Summary: TB Conf.py:473:__delitem__: KeyError
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-25 19:52 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 14:25:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-12-25 19:52:12 UTC
Description of problem:
two problems:
-Network does not run properly (run then stop then run)
-OSError: Trop de fichiers ouverts

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Need Real Name 2002-12-25 19:54:51 UTC
--------------------------------problem 1:------------------------------------
Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 320, in save
    self.saveProfiles()
  File "/usr/sbin/neat", line 336, in saveProfiles
    profilelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 303, in save
    del hoconf[i]
  File "/usr/lib/python2.2/site-packages/rhpl/Conf.py", line 473, in __delitem__
    del self.vars[varname]
KeyError
--------------------------------problem 2:------------------------------------
Traceback (most recent call last):
  File "/usr/sbin/neat", line 774, in update_devicelist
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Control.py", line
63, in __init__
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Control.py", line
66, in load
OSError: Trop de fichiers ouverts


Comment 2 David Lawrence 2002-12-27 05:46:55 UTC
Changing to proper product and component so developer will see it properly.

Comment 3 Harald Hoyer 2003-02-05 13:02:29 UTC
problem 1: please attach /etc/hosts
problem 2: update rhpl from ftp://people.redhat.com/harald/rhpl/0.74-2

Comment 4 Harald Hoyer 2003-08-05 08:34:48 UTC
more info or close the bug

Comment 5 David Lawrence 2006-04-24 19:26:25 UTC
Adding to blocker bug 185483 and also adding IBM confidential group.

Comment 6 David Lawrence 2006-04-24 19:44:36 UTC
Oops. I am sorry for these changes. I searched on the wrong bug list and
mistakenly made these changes. Removing from blocker bug 185483 and also
removing IBM confidential group.


Note You need to log in before you can comment on or make changes to this bug.